> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Allows Assist to set the active response plan for an Incident.


> Assist will send a valid Response Plan code for the incident. It may call this endpoint to amend the response plan
in cases where it is directed to do so by a Guide Card. For example, if the situation escalates and that dictates
a new or enhanced Response Plan.




## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs post /cad-integration-handler/response-plan
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /cad-integration-handler/response-plan:
    post:
      tags:
        - CAD Integration Handler
      summary: |
        Allows Assist to set the active response plan for an Incident.
      description: >
        Assist will send a valid Response Plan code for the incident. It may
        call this endpoint to amend the response plan

        in cases where it is directed to do so by a Guide Card. For example, if
        the situation escalates and that dictates

        a new or enhanced Response Plan.
      operationId: responsePlan
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResponsePlanRequest'
      responses:
        '200':
          description: Indicates the response plan was set successfully.
        default:
          description: Indicates an error setting the response plan.
components:
  schemas:
    ResponsePlanRequest:
      type: object
      description: Allows for setting an Incident Response Plan.
      properties:
        callId:
          type: string
          description: Unique Assist Call ID.
        incidentId:
          type: string
          description: Unique CAD Incident ID.
        responsePlan:
          type: string
          description: >-
            Code or Identifier representing the Response Plan to set on the
            Incident.
        reasoning:
          type: string
          description: Reasoning that was used to set the Response Plan.

````